#!/bin/bash
# 
# Hacked version of jakarta-ant shell script
#

if [ -f $HOME/.jswatrc ] ; then 
  . $HOME/.jswatrc
fi

# Allow .jswatc to specifiy flags to java cmd
if [ "$JAVACMD" = "" ] ; then 
  JAVACMD=java
fi

LOCALCLASSPATH=/usr/share/java/jswat.jar

if [ "$CLASSPATH" != "" ] ; then
  LOCALCLASSPATH=$CLASSPATH:$LOCALCLASSPATH
fi

if [ "$JAVA_HOME" != "" ] ; then
  if test -f $JAVA_HOME/lib/tools.jar ; then
    LOCALCLASSPATH=$LOCALCLASSPATH:$JAVA_HOME/lib/tools.jar:$JAVA_HOME/jre/lib/rt.jar
  fi
  if test -f $JAVA_HOME/jre/lib/rt.jar ; then
	LOCALCLASSPATH=$LOCALCLASSPATH:$JAVA_HOME/jre/lib/rt.jar
  fi
  if test -f $JAVA_HOME/lib/classes.zip ; then
    LOCALCLASSPATH=$LOCALCLASSPATH:$JAVA_HOME/lib/classes.zip
  fi
fi

# supply JIKESPATH to jswat as jikes.class.path
if [ "$JIKESPATH" != "" ] ; then
  if [ "$JSWAT_OPTS" != "" ] ; then
    JSWAT_OPTS="$JSWAT_OPTS -Djikes.class.path=$JIKESPATH"
  else
    JSWAT_OPTS=-Djikes.class.path=$JIKESPATH
  fi
fi

$JAVACMD -classpath $LOCALCLASSPATH $JSWAT_OPTS com.bluemarsh.jswat.Main $@

